---
title: Console.time()
slug: Web/API/Console/time
tags:
  - API
  - DOM
  - Debugging
  - Method
  - Web Development
  - console
  - web console
---
<div>{{APIRef("Console API")}}</div>

<p>Starts a timer you can use to track how long an operation takes. You give each timer a unique name, and may have up to 10,000 timers running on a given page. When you call {{domxref("console.timeEnd()")}} with the same name, the browser will output the time, in milliseconds, that elapsed since the timer was started.</p>

<p>See <a href="/en-US/docs/Web/API/console#Timers">Timers</a> in the {{domxref("console")}} documentation for details and examples.</p>

<p>{{AvailableInWorkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">console.time(<var>label</var>);
</pre>

<h2 id="Parameters">Parameters</h2>

<dl>
 <dt><code><var>label</var></code></dt>
 <dd>The name to give the new timer. This will identify the timer; use the same name when calling {{domxref("console.timeEnd()")}} to stop the timer and get the time output to the console.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Console API", "#time", "console.time()")}}</td>
   <td>{{Spec2("Console API")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Console.time")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Console.timeEnd()")}}</li>
 <li>{{domxref("Console.timeLog()")}}</li>
 <li><a class="external" href="http://www.opera.com/dragonfly/documentation/console/">Opera Dragonfly documentation: Console</a></li>
</ul>
